#layout {
  min-height: 100%;
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto 1fr auto;
  grid-template-areas:
     "nav nav"
     "aside page"
     "footer footer";
}

#nav {
  grid-area: nav;
}

#aside {
  grid-area: aside;
}

#page {
  grid-area: page;
}

#footer {
  grid-area: footer;
}
